API references
Merchant API

List payment activities

Retrieves all activities, events, and payment session information for a given payment.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-payment-activities HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
payment_id: string,
}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
payment_id string

Required. The unique identifier of the payment to retrieve activities.

Response attributes
Attribute Description
created_at
number

Always present. Unix timestamp indicating when the activity was created.

activity
string

Always present. The type of activity that was performed. Supported values:

  • dispute_lost: The dispute was resolved in favor of the customer.
  • dispute_opened: A new dispute has been opened by the customer.
  • dispute_reopened: The dispute has been reopened.
  • dispute_won: The dispute was resolved in favor of the merchant.
  • payment_authorized: The payment was authorized by the provider.
  • payment_checked_out: The customer completed the checkout process.
  • payment_completed: The payment was successfully completed.
  • payment_created: The payment record was created in the system.
  • payment_redirect_url_accessed: The customer was redirected to the payment provider.
  • payment_reversed: The payment was reversed (refunded or charged back).
  • payment_selected: The payment method was selected by the customer.
  • payment_voided: The payment was voided and will not be processed.
  • refund_completed: The refund was successfully completed.
  • refund_created: A refund request was created.
  • refund_failed: The refund attempt failed.
  • refund_initiated: The refund process has been initiated.
Possible values:
  • dispute_lost
  • dispute_opened
  • dispute_reopened
  • dispute_won
  • payment_authorized
  • payment_checked_out
  • payment_completed
  • payment_created
  • payment_redirect_url_accessed
  • payment_reversed
  • payment_selected
  • payment_voided
  • refund_completed
  • refund_created
  • refund_failed
  • refund_initiated
path
string

Nullable. The URL path where the activity occurred.

ip_address
string

Nullable. The IP address of the client that initiated the activity.

severity
string

Always present. The severity level of the activity log (INFO, WARN, ERROR).

Possible values:
  • INFO
  • WARN
  • ERROR
request
object

Nullable. Request information for log activities (not events). Contains details about the original request that generated this activity.

response
["object", "string"]

Nullable. Response information for log activities (not events). Contains details about the response that was generated for this activity.

event_deliveries
array

Nullable. Array of event delivery objects containing webhook delivery information. Only present for activities that are events with associated webhook deliveries.

payment_status
string

Nullable. The status of the payment at the time of the activity.

Errors specific to this endpoint
NOT_FOUND

This error occurs when no payment with the provided ID exists in your merchant account. Double check that you're using the correct payment ID.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/list-payment-activities" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "payment_id": "pay_01kwbby4c702mbq2htbbwnywhd"
      }'
Learn how to run these code samples in your terminal by reading our guide.